<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <LangVersion>13</LangVersion>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Autofac" Version="8.3.0" />
        <PackageReference Include="MediatR" Version="12.5.0" />
        <PackageReference Include="Microsoft.AspNetCore" Version="2.3.0" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="9.0.3"/>
        <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.4" />
        <PackageReference Include="Serilog.Sinks.Console" Version="6.0.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Femto.Modules.Blog\Femto.Modules.Blog.csproj" />
      <ProjectReference Include="..\Femto.Modules.Auth\Femto.Modules.Auth.csproj" />
      <ProjectReference Include="..\Femto.Modules.Media\Femto.Modules.Media.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Reference Include="Microsoft.Data.SqlClient">
        <HintPath>..\..\..\..\.nuget\packages\microsoft.data.sqlclient\6.0.1\ref\net9.0\Microsoft.Data.SqlClient.dll</HintPath>
      </Reference>
    </ItemGroup>

    <ItemGroup>
      <Content Include="..\.dockerignore">
        <Link>.dockerignore</Link>
      </Content>
    </ItemGroup>

</Project>
